// Chapter 3, Programming Challenge 12: Monthly Sales Tax
#include <iostream>
#include <string>
#include <iomanip>
using namespace std;

int main()
{
	// Constants
	const double COUNTY = 0.02;	// County sales tax
	const double STATE = 0.04;	// State sales tax
   
	string month;		// To hold the name of the month
	string year;		// To hold the year
	double collected;	// The total amount collected
	double sales;		// The product sales
	double countyTax;   // The county sales tax
	double stateTax;    // The state sales tax
	double totalTax;    // The total sales tax

	// Get the month.
	cout << "Enter the month: ";
	cin  >> month;
   
	// Get the year.
	cout << "Enter the year: ";
	cin  >> year;
   
	// Get the amount collected.
	cout << "Enter the amount collected: ";
	cin  >> collected;

	// Calculate the product sales.
	sales = collected / (1 + COUNTY + STATE);
   
	// Calculate the county sales tax.
	countyTax  = sales * COUNTY;
   
	// Calculate the state sales tax.
	stateTax  = sales * STATE;
   
	// Calculate the total sales tax.
	totalTax = countyTax + stateTax;

	// Display results
	cout << "\nMonth: " << month
		 << "\nYear:  " << year
		 << "\n--------------------"
		 << fixed << showpoint << setprecision(2)
		 << "\nTotal Collected:     $" << setw(8) << collected
		 << "\nSales:               $" << setw(8) << sales
		 << "\nCounty Sales Tax:    $" << setw(8) << countyTax
		 << "\nState Sales Tax:     $" << setw(8) << stateTax
		 << "\nTotal Sales Tax:     $" << setw(8) << totalTax
		 << endl << endl;
	return 0;
}