// Chapter 3, Programming Challenge 14: Senior Citizen Property Tax
#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
	// Constants
	const double ASSESSMENT_VALUE = 0.6;
	const double SENIOR_EXEMPTION = 5000;
	const double PER_100 = 0.01;
	const double ONE_QUARTER = 4.0;
   
	double actual;		// To hold the actual value
	double assessment;	// To hold the assessment value
	double rate;		// To hold the current tax rate
	double annual;		// To hold the annual property tax
	double quarterly;	// To hold the quarterly property tax

	// Get the actual value of the property.
	cout << "Enter the actual value of the property: ";
	cin >> actual;

	// Get the tax rate for each 100 dollars of assessed value.
	cout << "Enter the tax rate for each $100 of assessed value: ";
	cin >> rate;

	// Calculate the senior assessment value of the property.
	assessment = actual * ASSESSMENT_VALUE - SENIOR_EXEMPTION;
   
	// Calculate the annual property tax.
	annual = assessment * rate * PER_100;

	// Calculate the quarterly property tax.
	quarterly = annual / ONE_QUARTER;

	// Display the results.
	cout << fixed << showpoint << setprecision(2)
         << "\nAnnual Property Tax:    $" << setw(8) << annual
		 << "\nQuarterly Property Tax: $" << setw(8) << quarterly
		 << endl << endl;
	return 0;
}