// Chapter 3, Programming Challenge 18: Pizza Pi
#include <iostream>
#include <cmath>
#include <iomanip>
using namespace std;

int main()
{
	// Constants
	const double PI = 3.14159;
	const double SLICE = 14.125;

	double diameter;	// To hold the diameter
	double radius;		// To hold the radius
	double area;		// To hold the area
	double slices;		// To hold the number of slices

	// Get the diameter of the pizza from the user.
	cout << "Enter the diameter of the pizza in inches: ";
	cin >> diameter;

	// Calculate the radius of the pizza.
	radius = diameter / 2.0;

	// Calculate the area of the pizza.
	area = PI * pow(radius, 2.0);

	// Calculate the pizza slices.
	slices = area / SLICE;

	// Display a message telling the number of slices.
	cout << fixed << showpoint << setprecision(1)
	     << "\nA " << diameter 
		 << " inch pizza contains about " 
		 << slices << " slices\n\n";
	return 0;
}