// Chapter 3, Programming Challenge 19: How Many Pizzas?
#include <iostream>
#include <cmath>
using namespace std;

int main()
{
	// Constants
	const double PI = 3.14159;
	const double SLICE = 14.125;
	const int SLICES_PER_PERSON = 4;

	double diameter; // To hold the diameter
	double radius;	 // To hold the radius
	double area;	 // To hold the area
	double slices;	 // To hold the number of slices
	int people;		 // To hold the number of people
	int pizzas;		 // To hold the number of pizzas

	// Get the number of people attending the party from the user.
	cout << "Enter the number of people attending the party: ";
	cin >> people;

	// Get the diameter of the pizzas from the user.
	cout << "Enter the diameter of the pizzas in inches: ";
	cin >> diameter;

	// Calculate the radius of the pizza.
	radius = diameter / 2.0;

	// Calculate the area of the pizza.
	area = PI * pow(radius, 2.0);

	// Calculate the pizza slices.
	slices = area / SLICE;

	// Calculate the number of pizzas.
	pizzas = (people * SLICES_PER_PERSON / slices) + 1;
	
	// Display a message telling the number of pizzas.
	cout << "\nYou should purchase " 
		 << pizzas << " pizzas.\n\n";
	return 0;
}